package com.marti.controller;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.validation.BindException;
import org.springframework.validation.Errors;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.SimpleFormController;

import com.marti.form.PersonelForm;
import com.marti.manager.PersonelManager;

public class PersonelFormController extends SimpleFormController{

	private PersonelManager personelManager;
	
	@Override
	protected Object formBackingObject(HttpServletRequest request)
			throws Exception {
		
		PersonelForm personelForm = new PersonelForm();
		return personelForm;
	}
	
	@Override
	protected ModelAndView onSubmit(HttpServletRequest request, HttpServletResponse response, Object command, BindException errors)
	throws Exception {
		
		PersonelForm personelForm = (PersonelForm) command;
		
		
		return showForm(request, response, errors);
//		return new ModelAndView(getSuccessView(), "personelForm", personelForm);
	}


	@Override
	protected Map referenceData(HttpServletRequest request, Object command,
			Errors errors) throws Exception {

		List personelList = personelManager.personelList();
		request.setAttribute("personelList", personelList);
		
		return super.referenceData(request, command, errors);
	}



	public PersonelManager getPersonelManager() {
		return personelManager;
	}

	public void setPersonelManager(PersonelManager personelManager) {
		this.personelManager = personelManager;
	}


}
