package com.marti.controller;

import java.io.IOException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.Controller;

import com.marti.manager.KurumManager;
import com.marti.manager.KurumManagerImpl;
import com.marti.manager.PersonelManager;
import com.marti.model.Personel;

public class HelloController implements Controller {

	private KurumManager kurumManager;
	
   	public ModelAndView handleRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
 
    	ModelAndView modelAndView = new ModelAndView("WEB-INF/index.jsp");
    	
    	List kurumList = kurumManager.kurumList();
    	modelAndView.addObject("kurumList", kurumList);

    	return modelAndView;
        
    }

    public KurumManager getKurumManager() {
		return kurumManager;
	}

	public void setKurumManager(KurumManager kurumManager) {
		this.kurumManager = kurumManager;
	}

}