package com.marti.validator;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

import com.marti.form.KurumForm;

public class KurumFormValidator implements Validator {

	public boolean supports(Class clazz) {
		return KurumForm.class.isAssignableFrom(clazz);
	}
	
	public void validate(Object obj, Errors errors) {
		KurumForm kurumForm = (KurumForm)obj;
		
		if(kurumForm.getKurum().getKurumAdi().equals(""))
			errors.rejectValue("kurum.kurumAdi", "hata.gerekli.kurumAdi");
	}
	

}
