package com.marti.validator;

import java.text.MessageFormat;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

import com.marti.form.PersonelForm;

public class PersonelFormValidator implements Validator {

	public boolean supports(Class clazz) {
		return PersonelForm.class.isAssignableFrom(clazz);
	}
	
	public void validate(Object obj, Errors errors) {
		PersonelForm personelForm = (PersonelForm)obj;
		Object[] msgParams = new Object[2];
		msgParams[0] = "Isim";
		
		if(personelForm.getPersonel().getIsim().equals(""))
			errors.rejectValue("personel.isim", "hata.gerekli.isim", msgParams, null);
		
		if(personelForm.getPersonel().getSoyIsim().equals(""))
			errors.rejectValue("personel.isim", "hata.gerekli.soyIsim");
	}
	

}
